#
#  Home-manager configuration for laptop
#
#  flake.nix
#   ├─ ./hosts
#   │   └─ ./laptop
#   │       └─ home.nix *
#   └─ ./modules
#       └─ ./desktop
#           └─ ./hyprland
#              └─ hyprland.nix
#

{ pkgs, ... }:

{
  imports =
    [
      #../../modules/wm/hyprland/home.nix # Window Manager
      #../../modules/wm/kde/home.nix # Window Manager
      ../../modules/home.nix # Window Manager
    ];

  home = {                                # Specific packages for laptop
    packages = with pkgs; [
      # Applications
      #firefox
      chromium
      thunderbird
      streamlink
      streamlink-twitch-gui-bin
      element-desktop
      #nheko
      pulsemixer
    ];
  };

  services = {                            # Applets
   #blueman-applet.enable = true;         # Bluetooth
   network-manager-applet.enable = true; # Network
  };

  xsession.preferStatusNotifierItems = true;

}
